# force _smp_mflags to -j1
%define _smp-mflags -j1

%define prefix /usr
%define version 1.2.4
%define svnrev 382
%define zapver 1.2.10

Summary: C implementation of the Primary Rate ISDN specification
Name: libpri
Version: %{version}
Release: 1.%{svnrev}%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.asterisk.org/
Source0: http://ftp.digium.com/pub/libpri/libpri-%{version}.tar.gz
Patch0: libpri-1.2-%{svnrev}.patch
Patch1: libpri-1.2-optflags.patch
Packager: Laimbock Consulting <asterisk@laimbock.com>
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zaptel-devel >= %{zapver}
Requires: zaptel >= %{zapver}

%description
libpri is a C implementation of the Primary Rate ISDN specification.
It was based on the Bellcore specification SR-NWT-002343 for National ISDN.
As of May 12, 2001, it has been tested work with NI-2, Nortel DMS-100, and
Lucent 5E Custom protocols on switches from Nortel and Lucent.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: libpri = %{version}

%description devel
Use this package for building/developing applications against %{name}.


%prep
%setup -q -n %{name}-%{version}

# update %{version} to svn revision %{svnrev}
%patch0 -p1

# fix optimization so rpmbuild handles it
%patch1 -p1

# change harcoded /usr/lib path to %{_libdir} so libs are placed properly
# on 64 bit arches too
perl -pi -e's,\$\(INSTALL_BASE\)/lib,%{_libdir},g' Makefile

# if building as non-root make sure the location of restorecon is known
perl -pi -e's,restorecon,/sbin/restorecon,g' Makefile

# use $(RPM_OPT_FLAGS)
perl -pi -e's,^CFLAGS\=\-Wall \-Werror \-Wstrict\-prototypes \-Wmissing\-prototypes \-g \$\(ALERTING\) \$\(LIBPRI\_COUNTERS\),CFLAGS\=\$\(RPM\_OPT\_FLAGS\) \-Werror \-Wstrict\-prototypes \-Wmissing\-prototypes \$\(ALERTING\) \$\(LIBPRI\_COUNTERS\),g' Makefile


%build
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}
%{__make} clean
%{__make} %{?_smp_mflags}


%install
%{makeinstall} %{?_smp_mflags} INSTALL_PREFIX=%{buildroot}

# create libpri.so.1 and libpri.so.0 so they get packaged too
/sbin/ldconfig -n %{buildroot}%{_libdir}

# remove static libpri
rm %{buildroot}%{_libdir}/libpri.a


%clean
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}


%post
/sbin/ldconfig

# make sure SELinux knows about libpri.so.1.0
if [ -x /usr/sbin/sestatus ] && (/usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled") ; then /sbin/restorecon -v %{_libdir}/libpri.so.1.0; fi


%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README TODO
%attr(0755,root,root)		%{_libdir}/libpri.so.1.0


%files devel
%defattr(-,root,root)
				%{_libdir}/libpri.so.1
                                %{_libdir}/libpri.so
%attr(0644,root,root)           %{_includedir}/libpri.h


%changelog
* Tue Nov 7 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.4-1
- based on 1.2.4
- patch0 to update 1.2.4 to svn revision 382
- force _smp_mflags to -j1

* Tue Oct 31 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.4-1
- based on 1.2.4
- patch0 to update 1.2.4 to svn revision 379 (which is empty)

* Mon Sep 11 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.3-1.371
- based on 1.2.3
- patch0 to update 1.2.3 to svn revision 371

* Mon Aug 21 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.3-1.369
- based on 1.2.3
- patch0 to update 1.2.3 to svn revision 369

* Wed Jun 14 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.3-1.352
- based on 1.2.3
- patch0 to update 1.2.3 to svn revision 352

* Sun Jun 4 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.3-1.349
- based on 1.2.3
- patch0 to update 1.2.3 to svn revision 349
- minor state fix (#7269)

* Fri Jun 2 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.3-1.346
- based on 1.2.3
- patch0 to update 1.2.3 to svn revision 346
- don't call pri_message multiple times per line (#7115)

* Fri Jun 2 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.3-1.344
- based on 1.2.3
- patch0 to update 1.2.3 to svn revision 344
- fixes to fill in non-filled fields (#7241) 

* Wed May 31 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.3-1.341
- based on 1.2.3
- patch0 to update 1.2.3 to svn revision 341

* Thu May 11 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.339
- based on 1.2.2
- patch0 to update 1.2.2 to svn revision 339

* Thu May 4 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.333
- based on 1.2.2
- patch0 to update 1.2.2 to svn revision 333
- fix make sure we pass the call back in the setup_ack (svn 327)

* Tue Apr 11 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.326
- based on 1.2.2
- patch0 to update 1.2.2 to svn revision 326
- use $(RPM_OPT_FLAGS)

* Thu Mar 16 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.320
- based on 1.2.2
- patch0 to update 1.2.2 to svn revision 320

* Tue Mar 14 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.319
- based on 1.2.2
- patch0 to update 1.2.2 to svn revision 319

* Thu Feb 23 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.317
- based on 1.2.2
- patch0 to update 1.2.4 to svn revision 317
- respin

* Tue Feb 21 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.317
- based on 1.2.2
- patch0 to update 1.2.4 to svn revision 317

* Fri Feb 17 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.314
- based on 1.2.2
- patch0 to update 1.2.2 to svn revision 314

* Wed Feb 15 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.310
- based on 1.2.2
- patch0 to update 1.2.2 to svn revision 310

* Tue Feb 14 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.308
- based on 1.2.2
- patch0 to update 1.2.2 to svn revision 308
- fix optimization so rpmbuild handles it
- added LICENSE to the %doc section
- remove libpri.a

* Fri Feb 3 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.2-1.305
- based on 1.2.2
- patch0 to update 1.2.2 to svn revision 305
- build with default -O3 instead of -O2

* Thu Jan 5 2006 Laimbock Consulting <asterisk@laimbock.com> - 1.2.1-1.284
- based on the 1.2.1 release
- patch0 to update 1.2.1 to svn revision 284

* Fri Dec 2 2005 Laimbock Consulting <asterisk@laimbock.com> - 1.2.0-9
- bump version to sync with zaptel

* Thu Dec 1 2005 Laimbock Consulting <asterisk@laimbock.com> - 1.2.0-7
- bump version to sync with zaptel

* Wed Nov 30 2005 Laimbock Consulting <asterisk@laimbock.com> - 1.2.0-6
- bump version to sync with zaptel
- changes to make the specfile more compliant with the Fedora guidelines
- change gcc optimizations from -O3 to -O2

* Thu Nov 17 2005 Laimbock Consulting <asterisk@laimbock.com> - 1.2.0-2
- 1.2.0 release
- add multi-arch build stuff

* Thu Nov 17 2005 Laimbock Consulting <asterisk@laimbock.com> - 1.2.0-1
- 1.2.0 release
- clean up for public consumption

* Sat Nov 12 2005 Laimbock Consulting <asterisk@laimbock.com> - 1.2.0-rc2-1
- 1.2.0-rc2 release

* Wed Nov 10 2005 Laimbock Consulting <asterisk@laimbock.com> - 1.2.0-rc1
- 1.2.0-rc1 release

* Tue Nov 08 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs 20051104-1
- cvs HEAD from Nov 08 2005

* Mon Nov 07 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs 20051104-1
- cvs HEAD from Nov 07 2005

* Fri Nov 04 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs 20051104-1
- cvs HEAD from Nov 04 2005

* Sun Oct 29 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs 20051029-1
- cvs HEAD from Oct 29 2005
- make sure libs are in /usr/lib64

* Mon Oct 17 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs 20051017-1
- cvs HEAD from Oct 17 2005

* Mon Oct 10 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs 20051010-1
- cvs HEAD from Oct 10 2005

* Tue Sep 8 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs 20050908-1
- cvs HEAD from Sep 08 2005
- CVS COMMITS:
- libpri.h q931.c send calling plan info for RDNIS and originally called number in new call events

* Fri Sep 02 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs20050902-1
- cvs HEAD from Sep 02 2005

* Thu Sep 01 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs20050901-1
- cvs HEAD from Sep 01 2005

* Wed Aug 31 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs20050831-1
- cvs HEAD from Aug 31 2005

* Tue Aug 30 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs20050830-1
- cvs HEAD from Aug 30 2005
- CVS COMMITS:
- Makefile cleanups and fixes for Solaris (issue #4999)

* Mon Aug 29 2005 Laimbock Consulting <asterisk@laimbock.com> - 1.2.0-cvs20050829-1
- cvs 1.2.0-beta1 from Aug 29 2005

* Thu Aug 25 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs20050825-1
- cvs HEAD from Aug 25 2005

* Sun Aug 14 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs20050814-1FC4
- add libpri.so.1 to -devel package

* Sun Aug 14 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs20050814-1
- cvs HEAD from Aug 14 2005
- split off header files and static lib and lib symlink in a devel package

* Mon Aug 08 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs20050808-1
- cvs HEAD from Aug 08 2005

* Wed Aug 03 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs20050803-1
- cvs HEAD from Aug 03 2005

* Mon Aug 01 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs20050801-2
- sync release with zaptel

* Mon Aug 01 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs20050801-1
- cvs HEAD from Aug 01 2005

* Mon Jul 25 2005 Laimbock Consulting <asterisk@laimbock.com> - cvs20050725-1
- cvs from July 25 2005

